Bug 238430 - mail/openemm2013, mail/openemm2015: Switch to newer tomcat?
Summary: mail/openemm2013, mail/openemm2015: Switch to newer tomcat?
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: needs-patch
Depends on:
Blocks: 230326
  Show dependency treegraph
 
Reported: 2019-06-09 04:05 UTC by Tobias Kortkamp
Modified: 2019-07-08 16:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (horst.leitenmueller)


Attachments
mail/openemm2015 upgrade dependency from tomcat8 to tomcat 8.5 (6.29 KB, patch)
2019-07-08 15:56 UTC, horst.leitenmueller
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-06-09 04:05:34 UTC
www/tomcat8 has been EoL for over a year and has finally been deprecated with
an expiration date of 2019-06-30.  Since  mail/openemm{2013,2015} depend on it
they will likely be marked as broken after that point.  Can they be switched
over to one of the newer www/tomcat* ports, www/tomcat85 or www/tomcat9 ?
Comment 1 horst.leitenmueller 2019-06-12 09:49:28 UTC
I will check if its easily possible, till end of June! (for normally it should.. "NORMALLY...")

a new Version is already announced and should bei available already / but release (and sources) are not finished NOW => not accessible at the moment (therefore I don't know on what it's based on ...)

it's a complete rework of the openemm version 
https://github.com/agnitas-org/openemm
Comment 2 Tobias Kortkamp freebsd_committer 2019-07-01 07:46:35 UTC
> I will check if its easily possible, till end of June! (for normally it should.. "NORMALLY...")

It's July now ;-). Does it work with tomcat85?
Comment 3 commit-hook freebsd_committer 2019-07-06 09:47:36 UTC
A commit references this bug:

Author: tobik
Date: Sat Jul  6 09:47:32 UTC 2019
New revision: 505972
URL: https://svnweb.freebsd.org/changeset/ports/505972

Log:
  mail/openemm*: Mark as BROKEN

  It depends on the expired www/tomcat8.

  PR:		238430
  Approved by:	horst.leitenmueller@liwest.at (maintainer timeout, 3 weeks)

Changes:
  head/mail/openemm2013/Makefile
  head/mail/openemm2015/Makefile
Comment 4 Tobias Kortkamp freebsd_committer 2019-07-06 09:48:25 UTC
Ports marked as broken.
Comment 5 horst.leitenmueller 2019-07-08 13:39:53 UTC
im still in testing phase, setup was not so easy because pure installing of tomcat9 and or tomcat85 made real problems

I have now managed to install 85 after some troubles but a full build with all is not possible ...  it's still under investigation / and test of ui is missing...

my target is now 85 I was not able to get 9 installed and running / there are some dependencies which are not working (inside of tomact9 has nobody else problems here ?)

and sorry for delay, a lot of work at the moment ... mea culpa
Comment 6 horst.leitenmueller 2019-07-08 15:56:09 UTC
Created attachment 205587 [details]
mail/openemm2015 upgrade dependency from tomcat8 to tomcat 8.5

upgraded all dependencies to run with tomcat85 changed the version number (not sure if this is in this way correct but I have seen there are smaller updates in the openemm project R2 as following release of the port itself)
changed also the configs of the datasource which is now also according the new versions
Comment 7 commit-hook freebsd_committer 2019-07-08 16:17:11 UTC
A commit references this bug:

Author: tobik
Date: Mon Jul  8 16:16:23 UTC 2019
New revision: 506232
URL: https://svnweb.freebsd.org/changeset/ports/506232

Log:
  mail/openemm2015: Unbreak by switching to tomcat85

  PR:		238430
  Submitted by:	maintainer

Changes:
  head/mail/openemm2015/Makefile
  head/mail/openemm2015/files/pkg-message.in
  head/mail/openemm2015/pkg-plist
Comment 8 Tobias Kortkamp freebsd_committer 2019-07-08 16:17:56 UTC
Comment on attachment 205587 [details]
mail/openemm2015 upgrade dependency from tomcat8 to tomcat 8.5

Committed, thanks.